local frame=CreateFrame("Frame");

local IncAmount = 0
local total = 0
local BGR_BUTTON_DOWN=0
local timer_a = 0

local function onUpdate(self,elapsed)
    if IncAmount >=1 and BGR_BUTTON_DOWN == 0 then
	    total = total + elapsed
    	if total >= 0.8 then
    		if IsInInstance() then
	        SendChatMessage("[Radio] inc " .. MyCurrentLocation() .. " " .. IncAmount, "INSTANCE_CHAT")
	        PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK_CLEAR.ogg", "master")
	        else
	        print("[Test] inc " .. MyCurrentLocation() .. " " .. IncAmount)
	        PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK_CLEAR.ogg", "master")
	        end
    	    total = 0
    	    IncAmount = 0
		end
	elseif BGR_BUTTON_DOWN == 1 then
		total = total + elapsed
    	if total >= 1 then
    		if IncAmount <= 0 then
    		PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK_CLEAR.ogg", "master")
	    		if IsInInstance() then
	    			SendChatMessage("[Radio] " .. MyCurrentLocation() .. "clear! ", "INSTANCE_CHAT")
			        else
			        print("[Test] " .. MyCurrentLocation() .. " clear!") 
			    end
			else PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK_CANCEL.ogg", "master")
			end
    		total = 0
    	    IncAmount = 0
    	    BGR_BUTTON_DOWN=0
    	end
    end
    
    
    
end

--local DEBUG="true"
local f = CreateFrame("frame")
f:SetScript("OnUpdate", onUpdate)


BINDING_HEADER_BGRADIO = "Battleground radio"
BINDING_NAME_Call_Inc = "Call Inc"

--[[ Placeholder, makes sense when i get 0.8 out...

function NBP()
print("asd")
RAID_MEMBER1="asd"
RAID_MEMBER2="asd"
end
]]--

function MyCurrentLocation ()
local posX, posY = GetPlayerMapPosition("player");
local posX = posX * 100
local posY = posY * 100
	--Arathi 
	if (GetZoneText() == "Arathi Basin") then
		if (string.match(GetMinimapZoneText():lower(), "stables")) then return "ST"
		elseif (string.match(GetMinimapZoneText():lower(), "lumber mill")) then return "LM"
		elseif (string.match(GetMinimapZoneText():lower(), "blacksmith")) then return "BS"
		elseif (string.match(GetMinimapZoneText():lower(), "gold mine")) then return "GM"
		elseif (string.match(GetMinimapZoneText():lower(), "farm")) then return "FARM" end

	--EOTS
	elseif (GetZoneText() == "Eye of the Storm") then
		if (string.match(GetMinimapZoneText():lower(), "mage tower")) then return "MT"
		elseif (string.match(GetMinimapZoneText():lower(), "draenei ruins")) then return "DR"
		elseif (string.match(GetMinimapZoneText():lower(), "fel reaver ruins")) then return "FRR"
		elseif (string.match(GetMinimapZoneText():lower(), "blood elf tower")) then return "BET" end
	--silvershard mines
	elseif (GetZoneText() == "Silvershard Mines") then
		-- StartX, StartY, EndX, EndY
		if posX >= 6 and posY >= 10 and posX < 53 and posY < 45 then return "TOP" 
		elseif posX >= 49 and posY >= 6 and posX < 67 and posY < 27 then return "TOP" 
		elseif posX >= 29 and posY >= 49 and posX < 56 and posY < 99 then return "MID" 
		elseif posX >= 61 and posY >= 27 and posX < 92 and posY < 93 then return "BOTTOM" 		
		else
		return GetMinimapZoneText()
		end
	--Deepwind Gorge
	elseif (GetZoneText() == "Deepwind Gorge") then
		if posX >= 51 and posY >= 3 and posX < 66 and posY < 23 then return "PANDA" 
		elseif posX >= 42 and posY >= 34 and posX < 64 and posY < 62 then return "CENTER" 
		elseif posX >= 36 and posY >= 68 and posX < 53 and posY < 92 then return "GOBLIN" 		
		else
		return GetMinimapZoneText()
		end
	--Gilneas
	elseif (GetZoneText() == "The Battle for Gilneas") then
		if (string.match(GetMinimapZoneText():lower(), "lighthouse")) then return "LH"
		elseif (string.match(GetMinimapZoneText():lower(), "mine")) then return "MINE"
		elseif (string.match(GetMinimapZoneText():lower(), "waterworks")) then return "WW" end
	else
	return GetMinimapZoneText()
	end
end

function BGR_CallInc_down ()
	total = 0
	BGR_BUTTON_DOWN=1
	PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK.ogg", "master")
end

function BGR_CallInc_up ()
	total = 0
	if BGR_BUTTON_DOWN == 1 then 
		PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\STATIC.ogg", "master")
		IncAmount = IncAmount + 1
		BGR_BUTTON_DOWN=0
	end
end

local function MessagePop (node, author, msg)
	RaidNotice_AddMessage(RaidWarningFrame,msg:upper() .. " [ " .. author .. "]",{r=1.0,g=1.0,b=0}) --yellow
    PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK.ogg", "master")
    PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\EN_Woman_1\\".. node .. ".ogg", "master")
end

frame:RegisterEvent("CHAT_MSG_INSTANCE_CHAT_LEADER");
frame:RegisterEvent("CHAT_MSG_RAID_LEADER");
frame:RegisterEvent("CHAT_MSG_RAID");
frame:RegisterEvent("CHAT_MSG_INSTANCE_CHAT");
frame:SetScript("OnEvent",function(self,event,msg,author)
 
	if (event=="CHAT_MSG_INSTANCE_CHAT") or (event=="CHAT_MSG_INSTANCE_CHAT_LEADER") or (event=="CHAT_MSG_RAID_LEADER")  or (event=="CHAT_MSG_RAID") then
	if (UnitName("player")~=gsub(author, "%-[^|]+", "")) or DEBUG=="true" then
		if (GetZoneText() == "Arathi Basin")  or DEBUG=="true" then
			if (string.match(msg:lower(), "st")) then MessagePop("AB_ST", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "lm")) then MessagePop("AB_LM", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "gm")) or (string.match(msg:lower(), "mine")) then MessagePop("GILNEAS_MINE", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "bs")) then MessagePop("AB_BS", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "farm")) then MessagePop("AB_FARM", gsub(author, "%-[^|]+", ""), msg) end
    	end
		if (GetZoneText() == "Eye of the Storm") or DEBUG=="true" then
			if (string.match(msg:lower(), "mt")) then MessagePop("EOTS_MT", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "dr")) then MessagePop("EOTS_DR", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "frr")) then MessagePop("EOTS_FRR", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "bet")) then MessagePop("EOTS_BET", gsub(author, "%-[^|]+", ""), msg) end
    	end    	
		if (GetZoneText() == "Silvershard Mines") or DEBUG=="true" then
			if (string.match(msg:lower(), "water")) or (string.match(msg:lower(), "mid")) then MessagePop("ALT_MID", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "earth")) or (string.match(msg:lower(), "top")) then MessagePop("ALT_TOP", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "lava")) or (string.match(msg:lower(), "bot")) then MessagePop("ALT_MID", gsub(author, "%-[^|]+", ""), msg) end
		end    
		if (GetZoneText() == "Deepwind Gorge") or DEBUG=="true" then
			if (string.match(msg:lower(), "panda")) or (string.match(msg:lower(), "top")) then MessagePop("DWG_PANDA", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "gob")) or (string.match(msg:lower(), "bot"))  then MessagePop("DWG_GOBLIN", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "center")) or (string.match(msg:lower(), "mid")) then MessagePop("DWG_CENTER", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "cart")) then MessagePop("DWG_CART", gsub(author, "%-[^|]+", ""), msg) end
    	end    	    
		if (GetZoneText() == "The Battle for Gilneas") or DEBUG=="true" then
			if (string.match(msg:lower(), "lh")) then MessagePop("GILNEAS_LH", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "mine")) then MessagePop("GILNEAS_MINE", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "ww")) then MessagePop("GILNEAS_WW", gsub(author, "%-[^|]+", ""), msg) end
    	end 
   end
end    
    
end);